using SqlSugar;
using XF.Domain.Repository;

namespace DataSharing.RawData
{
    /// <summary>
    /// 推省上回访数据
    /// </summary>
    public class DsOrderVisitSend : CreationEntity
    {
        /// <summary>
        /// 工单ID
        /// </summary>
        [SugarColumn(ColumnDescription = "工单ID")]
        public string OrderId { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        [SugarColumn(ColumnDescription = "工单编号")]
        public string OrderNo { get; set; }

        /// <summary>
        /// 省编号
        /// </summary>
        [SugarColumn(ColumnDescription = "省编号")]
        public string ProvinceNo { get; set; }

        /// <summary>
        /// 回访评价方式
        /// </summary>
        [SugarColumn(ColumnDescription = "回访评价方式")]
        public string VisitType { get; set; }

        /// <summary>
        /// 回访人
        /// </summary>
        [SugarColumn(ColumnDescription = "回访人")]
        public string VisitName { get; set; }

        /// <summary>
        /// 回访时间
        /// </summary>
        [SugarColumn(ColumnDescription = "回访时间")]
        public DateTime? VisitTime { get; set; }

        /// <summary>
        /// 回访评价情况
        /// </summary>
        [SugarColumn(ColumnDataType = "varchar(1000)", ColumnDescription = "回访评价情况")]
        public string VisitRemark { get; set; }

        /// <summary>
        /// 回访结果满意度
        /// </summary>
        [SugarColumn(ColumnDescription = "回访结果满意度")]
        public string SubjectResultSatifyCode { get; set; }

        /// <summary>
        /// 是否省工单
        /// </summary>
        [SugarColumn(ColumnDescription = "是否省工单")]
        public bool IsProvince { get; set; }

        /// <summary>
        /// 来源
        /// </summary>
        [SugarColumn(ColumnDescription = "来源")]
        public string Source { get; set; }

        /// <summary>
        /// 第一次上传省上的时间
        /// </summary>
        [SugarColumn(ColumnDescription = "第一次上传省上的时间", IsNullable = true)]
        public DateTime? FirstSendProvinceTime { get; set; }

        /// <summary>
        /// 最近一次推送时间
        /// </summary>
        [SugarColumn(ColumnDescription = "最近一次推送时间", IsNullable = true)]
        public DateTime? LastSendProvinceTime { get; set; }
    }
}
